Tray
Orders
GET
Retrieve Tray orders with payment, shipping, and status data
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
integrationId?stringTray integration identifier
integrationName?stringTray integration name
page?integerPage number (default 1)
Default
1limit?integerItems per page (default 500, max 5000)
Range
value <= 5000Default
500id?stringFilter by order ID
trayCustomerId?stringFilter by Tray customer ID
orderStatus?stringFilter by Tray order status
status?stringFilter by legacy status field
paymentMethodType?stringFilter by payment method type
deliveredStatus?stringFilter by delivered status
partnerId?stringFilter by partner ID
createdStart?stringFilter by creation date start
Format
date-timecreatedEnd?stringFilter by creation date end
Format
date-timelastModifiedStart?stringFilter by last modification start
Format
date-timelastModifiedEnd?stringFilter by last modification end
Format
date-timepaymentDateStart?stringFilter by payment date start
Format
date-timepaymentDateEnd?stringFilter by payment date end
Format
date-timeTray orders response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/tray/orders?organizationId=org_123"{ "data": [ { "status": "string", "id": "string", "date": "2019-08-24T14:15:22Z", "hour": "string", "tray_customer_id": "string", "partial_total": 0.1, "taxes": 0.1, "discount": 0.1, "point_sale": "string", "shipment": "string", "shipment_value": 0.1, "shipment_date": "2019-08-24T14:15:22Z", "delivered": true, "delivered_status": "string", "shipping_cancelled": true, "partner_id": "string", "discount_coupon": "string", "payment_method_rate": 0.1, "installment": "string", "value_1": 0.1, "sending_date": "2019-08-24T14:15:22Z", "delivery_time": "string", "payment_method_id": "string", "payment_method": "string", "session_id": "string", "total": 0.1, "payment_date": "2019-08-24T14:15:22Z", "shipment_integrator": "string", "modified": "2019-08-24T14:15:22Z", "printed": true, "interest": 0.1, "cart_additional_values_discount": 0.1, "cart_additional_values_increase": 0.1, "id_quotation": "string", "estimated_delivery_date": "2019-08-24T14:15:22Z", "is_traceable": true, "external_code": "string", "has_payment": true, "has_shipment": true, "has_invoice": true, "delivery_date": "2019-08-24T14:15:22Z", "total_comission_user": 0.1, "total_comission": 0.1, "cost": 0.1, "app_id": "string", "store_segment": "string", "payment_method_type": "string", "coupon": 0.1, "order_status_type": "string", "order_status": "string", "order_status_id": "string", "integration_id": "string", "organization_id": "string", "user_id": "string", "document_id": "string", "integration_name": "string", "inserted_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}